Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.ddl.dialect.oracle
Interface OracleDdlConstants.OracleDataTypes

Enclosing interface:
  OracleDdlConstants

    public static interface OracleDdlConstants.OracleDataTypes

Field Summary
`static List<String[]>` | `CUSTOM_DATATYPE_START_PHRASES`
`static List<String>` | `CUSTOM_DATATYPE_START_WORDS`
`static String[]` | `DTYPE_BFILE`
`static String[]` | `DTYPE_BINARY_DOUBLE`
`static String[]` | `DTYPE_BINARY_FLOAT`
`static String[]` | `DTYPE_BLOB`
`static String[]` | `DTYPE_CHAR_ORACLE`
`static String[]` | `DTYPE_CLOB`
`static String[]` | `DTYPE_INTERVAL_DAY`
`static String[]` | `DTYPE_INTERVAL_YEAR`
`static String[]` | `DTYPE_LONG`
`static String[]` | `DTYPE_LONG_RAW`
`static String[]` | `DTYPE_NCLOB`
`static String[]` | `DTYPE_NUMBER`
`static String[]` | `DTYPE_NVARCHAR2`
`static String[]` | `DTYPE_RAW`
`static String[]` | `DTYPE_VARCHAR2`

Field Detail

### DTYPE_CHAR_ORACLE

    static final String[] DTYPE_CHAR_ORACLE

### DTYPE_VARCHAR2

    static final String[] DTYPE_VARCHAR2

### DTYPE_NVARCHAR2

    static final String[] DTYPE_NVARCHAR2

### DTYPE_NUMBER

    static final String[] DTYPE_NUMBER

### DTYPE_BINARY_FLOAT

    static final String[] DTYPE_BINARY_FLOAT

### DTYPE_BINARY_DOUBLE

    static final String[] DTYPE_BINARY_DOUBLE

### DTYPE_LONG

    static final String[] DTYPE_LONG

### DTYPE_LONG_RAW

    static final String[] DTYPE_LONG_RAW

### DTYPE_RAW

    static final String[] DTYPE_RAW

### DTYPE_BLOB

    static final String[] DTYPE_BLOB

### DTYPE_CLOB

    static final String[] DTYPE_CLOB

### DTYPE_NCLOB

    static final String[] DTYPE_NCLOB

### DTYPE_BFILE

    static final String[] DTYPE_BFILE

### DTYPE_INTERVAL_YEAR

    static final String[] DTYPE_INTERVAL_YEAR

### DTYPE_INTERVAL_DAY

    static final String[] DTYPE_INTERVAL_DAY

### CUSTOM_DATATYPE_START_PHRASES

    static final List<String[]> CUSTOM_DATATYPE_START_PHRASES

### CUSTOM_DATATYPE_START_WORDS

    static final List<String> CUSTOM_DATATYPE_START_WORDS

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.